Bug 102964 - enable support draft-ietf-mpls-icmp-02.txt
enable support draft-ietf-mpls-icmp-02.txt
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: traceroute (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
http://e.wheel.dk/~jesper/traceroute....
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-23 11:23 EDT by Kaj J. Niemi
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 04:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SRPM based on traceroute-1.4a12-19.1 implementing the feature requested above (90.14 KB, application/octet-stream)
2003-08-30 04:57 EDT, Kaj J. Niemi
no flags Details

  None (edit)
Description Kaj J. Niemi 2003-08-23 11:23:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Please consider adding support for MPLS ICMP Extensions to the LBL traceroute.
Diff which seems to apply cleanly can be found from the URL below. 

This would provide additional value for network engineers (and other people ;-))
using traceroute everyday in an MPLS enabled network.

Sample output:

 5  nycmny2wcx2-pos15-3.wcg.net (64.200.87.61)  126.360 ms  127.665 ms  127.702 ms
     MPLS Label=12632 CoS=0 TTL=1 S=1
 6  nycmny2wcx3-oc48.wcg.net (64.200.87.74)  125.205 ms  126.923 ms  125.993 ms
     MPLS Label=12672 CoS=0 TTL=1 S=1
 7  chcgil1wcx3-oc48.wcg.net (64.200.240.37)  126.425 ms  126.212 ms  126.220 ms
     MPLS Label=12592 CoS=0 TTL=1 S=1
 8  brvwil1wcxa-pos9-0.wcg.net (64.200.103.193)  126.920 ms  127.660 ms  127.462 ms
     MPLS Label=12604 CoS=0 TTL=1 S=1
 9  64.200.236.14 (64.200.236.14)  129.886 ms  125.499 ms  126.715 ms
     MPLS Label=13506 CoS=0 TTL=1 S=1

The format is the same as with "NANOG traceroute". Both vendor C and vendor J
support this as well.


Thanks.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. None yet!
2.
3.
    

Actual Results:  Shows w/o labels

Expected Results:  Could (and should) show w/ labels!

Additional info:

... And it would rock :)
Comment 1 Kaj J. Niemi 2003-08-30 04:57:04 EDT
Created attachment 94090 [details]
SRPM based on traceroute-1.4a12-19.1 implementing the feature requested above

SRPM based on traceroute-1.4a12-19.1 implementing the feature requested above
Comment 2 Phil Knirsch 2003-09-01 04:39:56 EDT
Sound like a useful addition. Will be included in traceroute-1.4a12-20 and later
packages.

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.